- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# thread.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
## Classes
class | Thread
| This class implements an approximation of java.util.Thread. More...
class | Thread::LaunchPackage
| This class is used to encapsulate the parameters to Thread::run when they are passed to Thread::launcher.
class | Thread::LaunchStatus
| This object atomically sets the specified memory location to non-zero on construction and to zero on destruction.
## Defines
#define | LOG4CXX_THREAD_FUNC
## Typedefs
typedef apr_thread_t | apr_thread_t
typedef void *(* | log4cxx::helpers::Runnable )(apr_thread_t *thread, void *data)

## Define Documentation

#define LOG4CXX_THREAD_FUNC

## Typedef Documentation

typedef struct apr_thread_t apr_thread_t